import './index.less';
import {Loading as TLoading} from 'tdesign-react'

const isShow = (value: boolean) => {
    if (typeof value === 'boolean') {
        return value ? '' : 'none';
    }
    return ''
}

export default function (props) {
    return (
        <TLoading style={{
            display: isShow(props['v-show'])
        }}></TLoading>
    )
}
